﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using DataSource;
using Infragistics.Controls.Grids;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        
        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            var viewModel = new ViewModel();

            // Create XamGrid conrol
            var xamGrid = new XamGrid
            {
                AutoGenerateColumns = false,
                ItemsSource = viewModel.Products
            };

            // Create columns
            var productNameColumn = new TextColumn
                            {
                                Key = "ProductName",
                                HeaderText = "Product Name"
                            };

            var unitPriceColumn = new TextColumn
            {
                Key = "UnitPrice",
                HeaderText = "Unit Price"
            };

            // Add created columns to xamGrid
            xamGrid.Columns.Add(productNameColumn);
            xamGrid.Columns.Add(unitPriceColumn);

            LayoutRoot.Children.Add(xamGrid);
        }
    }
}
